# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Test::More-style wrapper around HTML::Tidy
Name:		perl-Test-HTML-Tidy
Version:	1.00
Release:	15.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/dist/Test-HTML-Tidy
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-HTML-Tidy-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(HTML::Tidy) >= 1.00
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 0.08
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Tests for the HTML::Tidy module.

%prep
%setup -q -n Test-HTML-Tidy-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::HTML::Tidy.3*

%changelog
* Thu Jun 29 2023 Paul Howarth <paul@city-fan.org> - 1.00-15
- Switch upstream from search.cpan.org to metacpan.org
- Use SPDX-format license tag

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 1.00-14
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sat Oct  1 2016 Paul Howarth <paul@city-fan.org> - 1.00-13
- Classify buildreqs by usage
- Simplify find command using -delete

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 1.00-12
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul  2 2012 Paul Howarth <paul@city-fan.org> - 1.00-11
- BR: perl(Exporter), perl(Test::Builder) and perl(Test::More)
- Own directory %%{perl_vendorlib}/Test/
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 1.00-10
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.00-9
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> - 1.00-8
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 1.00-7
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> - 1.00-6
- Define RPM macros in global scope

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> - 1.00-5
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> - 1.00-4
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker), perl(Test::Pod) and
  perl(Test::Pod::Coverage)
- Fix argument order for find with -depth

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 1.00-3
- Simplify distribution-detection code
- Don't define %%perl_vendorarch in noarch package
- Remove %%__perl_version macro, used only once
- Remove %%__perl_package macro, used only twice
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install
- Own directory %%{perl_vendorlib}/Test/HTML
- Don't set up compiler optimization flags in noarch package
- Use search.cpan.org URLs
- Use perl(Test::Builder::Tester) buildreq instead of perl-Test-Builder-Tester

* Thu May 26 2005 Paul Howarth <paul@city-fan.org> - 1.00-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Thu May 13 2004 Paul Howarth <paul@city-fan.org> - 1.00-1
- Initial build
